QLOOKアクセス解析

スポンサーサイト

上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。

スポンサー広告  |  ↑Top

2013/04/27 (Sat) 01:00

Linux ホスト VMWare 3D アクセラレーション

VMWare Player で Linux をホストにした場合の 3D アクセラレーションについて。

Linux をホストにした場合次のようなエラーメッセージが表示され、3D アクセラレーションが無効になることがある。

No 3D support is available from the host. The 3D features of the virtual machine will be disabled.

Hardware graphics acceleration is not available. As a result, this virtual machine may experience very low graphics performance. Follow the instructions provided by your graphics card vendor or Linux distribution in order to update your computer's OpenGL drivers.


3D アクセラレーションが無効になると、3D アクセラレーションを必要とするデスクトップ(Gnome Shell, Cinnamon など)を動作させることができない。このエラーに対する対応方法。

/etc/vmware/config または *.vmx ファイルに以下を記述する。

mks.gl.allowBlacklistedDrivers = "TRUE"


以下のパッケージをインストールする。

driconf
libtxc-dxtn-s2tc0


以上両方を行うとエラーメッセージが消え、3D アクセラレーションが有効になる。

動作確認環境
グラフィックチップ intel HD4000(3750K 内蔵)
VMWare Player 5.0.2
Ubuntu 12.04 64bit

参考URL
http://useranswer.com/answer/how-to-fix-3d-acceleration-for-vmware-workstation-9/
注:参考URLの mks.gl.allowBlacklistedDrivers = “TRUE” は直接コピーしても動作しない。理由は、“TRUE”のダブルクォートが正しいダブルクォートではないため。正しいダブルクォートは “TRUE” ではなく、"TRUE"。よく見ると書体が違うことが分かる。また、Ubuntu系には libtxc-dxtn というパッケージはない。ibtxc-dxtn-s2tc0 をインストールする。

コンピュータ  |  トラックバック(0)  |  コメント(3)  |  ↑Top

Comment

本当に参考になります

はじめまして 自分も同じ様なスペックのsony vaio pcg-r505 abw(320mbに増設済ideのssdにも換装) にcoregaの無線LANがすぐに使えたのでbodhi 2.0.0を入れてまして、コチラのサイトを参考に(とても参考になります)、なかなか快適に使用していたのですが、何回かのアップデートの内に2.3.0になったら(2.2.0の時は問題なし)ログイン画面から先に進めなくなりました。 初心者にはやはり手強いですね? 何か良い方法はないのでしょうか? lubuntuのほうがいいのかなー
tezz |  2013年05月01日(水) 22:32 |   |  コメント編集

回復方法を考えました

tezzさん

はじめまして、コメントありがとうございます。

私はテスト用にVMWare上にいくつかBodhiをインストールしていますが、ログインから先に進めないという問題は起きていません。ただ、Bodhiはバージョンが上がるとバグが少なくなり設定も簡単になるのですが、細かな仕様が変わることがあるので、アップデートのタイミングによっては出てきてもおかしくはない現象のように思います。これは初心者には手強いというより、そもそも根本的に変なことをやっているからです。その点Lubuntuの方が扱い易いと思います。

対応方法ですが、いくつか考えました。

1.ログイン画面でDesktopをクリックしてみる。
2.CUIでログインしてアップデートをしてみて、直ることを期待する。
3.CUIでログインして設定ファイルの確認をしてみる。
4.Bodhi 2.3.0をインストールし直す。
5.CUIでログインしてLXDEをインストールする。

順に説明していきます。

1.ログイン画面でDesktopをクリックしてみる。
ログイン画面の下の方にDesktopという欄があると思います。そこをクリックして、DesktopでEnlightenmentを選択しなおしてみます。これでログインできるかもしれません。

2.CUIでログインしてアップデートをしてみて、直ることを期待する。
ログイン画面で、Ctrl+Alt+F1をインプットすると、CUIログイン画面になります。(Enlightenment トラブルシューティング http://cyberbaba.blog57.fc2.com/blog-entry-250.html 参照)CUIでログインし、以下のコマンドを入力します。
sudo apt-get update
sudo apt-get dist-upgrade
これで直るかもしれません。

3.CUIでログインして設定ファイルの確認をしてみる。
ログインできないということなので、怪しいのはEnlightenmentかlxdm(ディスプレイマネージャ、ログインマネージャ)のどちらかです。

まずEnlightenmentの設定ファイルをEnlightenment トラブルシューティングの「3.設定が滅茶滅茶になってしまった場合」の方法で古い設定に戻してみます。(おそらく回復しないと思いますが)

より可能性が高いのは、lxdmの設定ファイルが書き換えられている可能性です。lxdmの設定ファイルは /etc/lxdm/default.conf です。これの内容を確認してみます。エディタはvim.tinyまたはnanoが良いでしょう。
sudo nano /etc/lxdm/default.conf

開いたら以下のようになっているかを確認します。
last_session=enlightenment.desktop
なっていなければ、[base]セクションに上記を追記します。
[base]
last_session=enlightenment.desktop
書き換えたら再起動します。
sudo reboot

ダメな場合は以下を書き換えて再起動してみます。
[userlist]
disable=0
0を1に変えたり、逆に1を0に変えたりしてやってみます。

4.Bodhi 2.3.0をインストールし直す。
これは失敗すると今までの設定などが全部消えるのであまりお勧めではありませんが、消えても良いならやってみても良いと思います。やってみたわけではないので確信はありませんが、たぶんインストールの時、クリーンインストールするか現在の設定を残すか訊いてくると思うので、現在の設定を残すを選択してインストールし直します。

5.CUIでログインしてLXDEをインストールする。
LXDEとは、Lubuntuのデフォルトのデスクトップ環境です。これをインストールしてLXDEでログインしてみます。インストール方法は以下です。
sudo apt-get update
sudo apt-get install lxde
インストールしたら再起動して、ログイン画面のDesktopからLXDEを選択してログインします。これでLubuntuとほぼ同じ環境になります。また、このGUIが使えるようになるので、Enlightenmentの回復作業もやりやすくなります。Enlightenmetが回復すれば、ログイン画面のDesktopを選択することにより、どちらも使えるようになります。

では成功を祈ります。気になるので是非経過報告をお願いします。
CyberBaba |  2013年05月02日(木) 00:53 |   |  コメント編集

No title

cyberbabaさん                                         本当にありがとうございます                 
           Enlightenment errorの表示が出てf1なんちゃら、f12loguout の先から詰まっています。 実はこんな事も(http://detail.chiebukuro.yahoo.co.jp/qa/question_detail/q11106572391)有りまして、色々迷走してしまいました。                                                                            puppy4.3.1 2012jpも入れて見ましたが無線LANを認識せず、二回目のインストール&アップデートも同じ状態でしたが、もう一度記事とアドバイスを参照にbodhi2.0.0からのアップデートにトライしてみます。(2.2.0&2.3.0はネットワーク設定が分からず苦手なもので)                                                            現在は二台とも休止中の状態で、今はusbブートのbodhi2.0.0から書いています。                                                                経過報告します。   
tezz |  2013年05月02日(木) 21:11 |   |  コメント編集

コメントを投稿する


 管理者だけに表示  (非公開コメント投稿可能)

▲TOP

Trackback

この記事のトラックバックURL

→http://cyberbaba.blog57.fc2.com/tb.php/266-9bd51c43

この記事にトラックバックする(FC2ブログユーザー)

この記事へのトラックバック

▲TOP

 | HOME | 
上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。